FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 08-04-2011, 02:40 PM
Kevin Abbey
 
Default hwloc -- dependency proble

Hi,

I get dependency problems with the hwloc package.
Is there a way to fix this?
See output below.

Thank you
Kevin



================================================== =======

Skipped (dependency problems):
blacs-mpich2.x86_64 0:1.1-43.fc15 gromacs-mpich2.x86_64
0:4.5.4-2.fc15 gromacs-mpich2-devel.x86_64 0:4.5.4-2.fc15
gromacs-mpich2-libs.x86_64 0:4.5.4-2.fc15 mpich2.x86_64
0:1.4-0.1.rc1.fc15 mpich2.x86_64 0:1.4-1.fc15
mpich2-devel.x86_64 0:1.4-0.1.rc1.fc15 mpich2-devel.x86_64
0:1.4-1.fc15 python3-mpi4py-mpich2.x86_64 0:1.2.2-6.fc15
================================================== =======



example with just one of the above packages:
================================================== =======

[root@test ~]# yum install blacs-mpich2
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit,
versionlock
Loading mirror speeds from cached hostfile
updates/metalink
| 20 kB 00:00
* fedora: www.gtlib.gatech.edu
* updates: mirrors.ptd.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package blacs-mpich2.x86_64 0:1.1-43.fc15 will be installed
--> Processing Dependency: libopa.so.1()(64bit) for package:
blacs-mpich2-1.1-43.fc15.x86_64
--> Processing Dependency: libmpich.so.3()(64bit) for package:
blacs-mpich2-1.1-43.fc15.x86_64
--> Processing Dependency: libmpl.so.1()(64bit) for package:
blacs-mpich2-1.1-43.fc15.x86_64
--> Running transaction check
---> Package mpich2.x86_64 0:1.4-1.fc15 will be installed
--> Processing Dependency: libhwloc.so.1()(64bit) for package:
mpich2-1.4-1.fc15.x86_64
--> Finished Dependency Resolution
Error: Package: mpich2-1.4-1.fc15.x86_64 (updates)
Requires: libhwloc.so.1()(64bit)
Available: hwloc-1.1-0.2.fc15.x86_64 (fedora)
libhwloc.so.1()(64bit)
Installed: hwloc-1.2-0.fc15.x86_64 (@updates)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
================================================== =======

--
Kevin C. Abbey
System Administrator
Rutgers University - BioMaPS Institute
610 Taylor Rd.
Piscataway, NJ 08854-8087

--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 08-04-2011, 02:51 PM
Michael Schwendt
 
Default hwloc -- dependency proble

On Thu, 04 Aug 2011 10:40:40 -0400, KA (Kevin) wrote:

> Hi,
>
> I get dependency problems with the hwloc package.
> Is there a way to fix this?
> See output below.

There is a newer mpich2 in 'updates' repo since end of July.

Run "yum clean metadata", then try again, if that doesn't fix your
issue, you may need to wait for your download mirror servers to
sync recent files.

> Error: Package: mpich2-1.4-1.fc15.x86_64 (updates)
> Requires: libhwloc.so.1()(64bit)
> Available: hwloc-1.1-0.2.fc15.x86_64 (fedora)
> libhwloc.so.1()(64bit)
> Installed: hwloc-1.2-0.fc15.x86_64 (@updates)
> Not found
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 

Thread Tools




All times are GMT. The time now is 12:01 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org